/*
 * This file is provided for custom JavaScript logic that your HTML files might need.
 * GUI Composer includes this JavaScript file by default within HTML pages authored in GUI Composer.
 */
require(["dojo/ready"], function(ready){
	ready(function()
	{
	     // logic that requires that Dojo is fully initialized should go here
	 
		var tab = dijit.byId("TAB_CONTAINER");
		tab.watch("selectedChildWidget", function(name, oval, nval)
		{
			var value = -1;
			var i = 0;
			var ids = ["PWM_TAB", "CLK_TAB", "REG_TAB"];
			if (nval && nval.id)
			{
				for (i = 0; i < ids.length; ++i)
				{
					if (nval.id == ids[i])
					{
						value = i;
						break;
					}
				}
			}
			if (value != -1)
			{
				$TI.GUIVars.setValue("TAB_SELECT_GUI", value);
			}
		});
	});
});


function Invert( valueFromTarget) {
	return !valueFromTarget;
}

function RegToPoleHz( valueFromTarget) {
	return Math.round((valueFromTarget/Math.pow(2,16))*200000/(3.14*(2-valueFromTarget/Math.pow(2,16))));	
}

function PoleHzToReg( valueToTarget) {
	return Math.round((131072*3.14*valueToTarget)/(3.14*valueToTarget+200000));
}

function RegToZeroHz( valueFromTarget) {
	return Math.round((valueFromTarget/Math.pow(2,19))*200000/(3.14*(2-valueFromTarget/Math.pow(2,19))));	
}

function ZeroHzToReg( valueToTarget) {
	return Math.round((1048576*3.14*valueToTarget)/(3.14*valueToTarget+200000));
}

function DecToHex( valueFromTarget) {
	return valueFromTarget.toString(16);
}

function HexToDec( valueToTarget) {
	return parseInt(valueToTarget, 16);
}

function timesOneHundredMillion( valueToTarget) {
	 // return valueToTarget*2;
	return valueToTarget*100000000;
}

function divideOneHundredMillion( valueToTarget) {
	 // return valueToTarget*2;
	return valueToTarget/100000000;
}
